using YamlDotNet.Serialization;

namespace Celeste.Mod.MegaHotMod
{
	class MegaHotSettings : EverestModuleSettings
      {
      public bool Enabled { get; set; } = true;

      [YamlIgnore]
      public bool Note { get; set; } = false;
      public void CreateNoteEntry(TextMenu menu, bool inGame)
      {
        TextMenu.Item item = new TextMenu.Button(Dialog.Clean("modoptions_megahot_desc1"));
        item.Selectable = false;
        item.Disabled = true;
        TextMenu.Item item2 = new TextMenu.Button(Dialog.Clean("modoptions_megahot_desc2"));
        item2.Selectable = false;
        item2.Disabled = true;
        TextMenu.Item item3 = new TextMenu.Button(Dialog.Clean("modoptions_megahot_desc3"));
        item3.Selectable = false;
        item3.Disabled = true;
        TextMenu.Item item4 = new TextMenu.Button(Dialog.Clean("modoptions_megahot_desc4"));
        item4.Selectable = false;
        item4.Disabled = true;

        menu.Add(item);
        menu.Add(item2);
        menu.Add(item3);
        menu.Add(item4);
      }

      [SettingRange(1, 10)]
      public int LerpLowPoint { get; set; } = 2;

      [SettingRange(10, 30)]
      public int LerpHighPoint { get; set; } = 10;

      [SettingRange(0, 20)]
      public int LerpSmoothness { get; set; } = 6;
    }
}